> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Details

> Get Video Details

<Note>
  **General Instructions:**

  * The `id` **masterID** is required to get access to that Social Account posts.
  * At least one should be used: `postID` or `postURL`
  * Make sure you run **Get Posts & Videos** endpoint at least one time for the month the post was published in before using this endpoint.
  * [Understanding Post Data Handling](/guides/social-media/handling-social-posts)
  * You can check what months already being tracked first [Check Tracked Posts](/api-reference/social-other/check-tracked-posts)
</Note>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "post": [
      {
        "postDetails": {
          "postID": "7501786655280336150",
          "postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_TT:127905465618821121_7501786655280336150?time=1755644549",
          "videoLink": "https://v16-webapp-prime.tiktok.com/video/tos/no1a/tos-no1a-ve-0068-no/oAEGQNQn13l2IDFmamWLgeuAIUI0beDImAeLjs/?a=1988&bti=ODszNWYuMDE6&ch=0&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C&cv=1&br=2686&bt=1343&cs=0&ds=3&ft=-Csk_mwKPD12N458sh-UxDTvSY3W3wv25dcAp&mime_type=video_mp4&qs=0&rc=NzRmNTZoM2lpaTlnZWU8ZEBpanhxdHM5cm51MzMzbzczNUAtLjJiLy9iXzQxX2AzY19gYSMvcmFwMmRrMmFhLS1kMTFzcw%3D%3D&btag=e000b8000&expire=1755817367&l=2025081923022547F8C90B9FD5118FCE67&ply_type=2&policy=2&signature=809aa709de2d0a6644d7120b8329e796&tk=tt_chain_token",
          "postUrl": "https://www.tiktok.com/@khaby.lame/video/7501786655280336150",
          "dataId": "127905465618821121_7501786655280336150",
          "date": "07-05-2025",
          "dateISO": "2025-05-07T19:23:39.000Z",
          "likes": 606900,
          "dislikes": 0,
          "comments": 9544,
          "rePosts": 4099,
          "views": 8300000,
          "pollVotes": 0,
          "videoViews": 8300000,
          "type": "video",
          "types": [
            "video"
          ],
          "hashTags": [
            "beyourownboss"
          ],
          "text": "Arriving in style at the Met Gala with BOSS #beyourownboss ",
          "textLength": 59,
          "fromOwner": false,
          "isAd": false,
          "mentions": [],
          "mentionsText": []
        },
        "postStats": {
          "interactions": 620543,
          "er": 0.00381872615384615,
          "viewsER": 0.0747642168674699,
          "videoViewsER": 0.0747642168674699,
          "indexGrade": -1.6695023860052,
          "mainGrade": "d"
        }
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/tiktok-video-details
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/tiktok-video-details:
    get:
      tags:
        - Workflow
      description: Triggers the workflow tiktok-video-details
      operationId: get_wf_tiktok-video-details
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get User Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: If you would like to include Profile details, set this to `true`
          schema:
            type: boolean
            default: false
        - name: postID
          in: query
          required: false
          description: >-
            Example: postID: `7501786655280336150` , To get this use this
            endpoint: **Get User Videos**
          schema:
            type: string
        - name: postURL
          in: query
          required: false
          description: >-
            Example: postURL:
            `https://www.tiktok.com/@khaby.lame/video/7501786655280336150` , To
            get this use this endpoint: **Get User Videos**
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````